Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Le groupe des Helpers est present pour vous aidez, n'hésitez pas à poser des questions ;)

Toute la communauté vous remercie

/!\ L’ancien forum passera en lecture seule en janvier 2020 (Si community a bien pris le relais) puis nous le fermerons définitivement en janvier 2021./!\
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

Nouveau plugin zwave/openzwave

(anciennement dénommé plugin OpenZwave)

Modérateur : nechry

JP82000
Timide
Messages : 59
Inscription : 13 avr. 2015, 15:03
Localisation : Ô Toulouse

Re: Nouveau plugin zwave/openzwave

Message par JP82000 » 20 nov. 2015, 21:37

Perso j'ai été obligé de repartir de l'image officielle et de restaurer ma dernière sauvegarde jeedom :( mais depuis, ca marche nickel. Attention éventuellement à quelques modules qui deviennent capricieux après maj.

david
Timide
Messages : 250
Inscription : 19 juil. 2014, 21:26

Re: Nouveau plugin zwave/openzwave

Message par david » 20 nov. 2015, 21:43

déjà fait
JeeDom linké sur pi3 avec rfxcom
+ JeeDom linké sur pi2 avec razberry, 1wire et téléinfo

mon niveau linux = néant

JP82000
Timide
Messages : 59
Inscription : 13 avr. 2015, 15:03
Localisation : Ô Toulouse

Re: Nouveau plugin zwave/openzwave

Message par JP82000 » 20 nov. 2015, 21:47

et malgré ca ca plante ?

kouaw
Actif
Messages : 5986
Inscription : 25 janv. 2015, 22:15
Localisation : Belgium
Contact :

Re: Nouveau plugin zwave/openzwave

Message par kouaw » 20 nov. 2015, 22:20

Attention que en étant sous wheezy votre os n'ai pas à jour il faut prendre la dernière image.

Ce qui est ton cas David tu est sous wheezy donc pas la dernière image :) et tu n'as pas lu la 10aine de post avec la solution que j'ai poste ;) fait une recherche sur libjpg et tu aura la solution.

Envoyé de mon GT-I9300 en utilisant Tapatalk

Bipbip41
Timide
Messages : 473
Inscription : 05 sept. 2014, 09:23

Re: Nouveau plugin zwave/openzwave

Message par Bipbip41 » 27 nov. 2015, 22:04

Salut à tous,

Cet aprem, j'ai fais une vague de mise à jour (j'en avais une dizaine en attente) sur mon master et mes 2 esclaves.

A la suite de ca, je ne peux plus accéder à la page du Zwave, et tout mon réseau Zwave est au tas. Du coup, j'ai fais un restore du master et des 2 RPI, sans succès. Dès que je veux aller sur la page du Zwave (avec la santé, etc), ca mouline et ca finit sur un 504 Bad gateway. Une fois, ca m'a même complètement planté Jeedom, obligé de rebooter. J'ai d'ailleurs tout rebooté sans succès.

Je précise que c'est la seule page qui est inaccessible. J'ai essayé de reinstaller le Zwave sans succès. Je sais plus trop quoi faire...

Autre petite info : pendant qu'un des RPI rebootait, celui qui gère le Zwave, la page était à nouveau accessible, mais bien sur tout était vide comme si je n'avais aucun module. Donc ca viendrait plus de l'esclave que du master, enfin je pense.

EDIT : j'ai trouvé un topic à ce sujet après avoir posté ici, il s'est soldé par un hard reset. Si y a d'autres solutions, je suis preneur :D
3 RPI 3B+ (1 Maître, 2 Esclaves) + 1 RPI 1 (Recette)
12 Modules Zwave
8 Sondes Oregon + 1 Pluviomètre + 1 Anémomètre
4 Gateway Xiaomi + 9 modules + 6 prises + 2 interrupteur
1 Prise Chacon

53 Scénarios :D

1 Serveur avec 4 VM, dont 1 Zabbix

Bipbip41
Timide
Messages : 473
Inscription : 05 sept. 2014, 09:23

Re: Nouveau plugin zwave/openzwave

Message par Bipbip41 » 28 nov. 2015, 01:07

C'est bon c'est réglé ;)
3 RPI 3B+ (1 Maître, 2 Esclaves) + 1 RPI 1 (Recette)
12 Modules Zwave
8 Sondes Oregon + 1 Pluviomètre + 1 Anémomètre
4 Gateway Xiaomi + 9 modules + 6 prises + 2 interrupteur
1 Prise Chacon

53 Scénarios :D

1 Serveur avec 4 VM, dont 1 Zabbix

doblanch
Timide
Messages : 152
Inscription : 30 janv. 2015, 22:30

Re: Nouveau plugin zwave/openzwave

Message par doblanch » 28 nov. 2015, 21:09

Quel etait le pb ?

Bipbip41
Timide
Messages : 473
Inscription : 05 sept. 2014, 09:23

Re: Nouveau plugin zwave/openzwave

Message par Bipbip41 » 29 nov. 2015, 01:09

Mon esclave a du avoir un soucis pendant les MAJ . J'ai fais un apt-get update puis un apt-get dist-upgrade, un reboot, et tout est reparti, sans hard reset :)
3 RPI 3B+ (1 Maître, 2 Esclaves) + 1 RPI 1 (Recette)
12 Modules Zwave
8 Sondes Oregon + 1 Pluviomètre + 1 Anémomètre
4 Gateway Xiaomi + 9 modules + 6 prises + 2 interrupteur
1 Prise Chacon

53 Scénarios :D

1 Serveur avec 4 VM, dont 1 Zabbix

philippesnoupy
Timide
Messages : 1
Inscription : 06 déc. 2015, 20:40

Re: Nouveau plugin zwave/openzwave

Message par philippesnoupy » 06 déc. 2015, 21:08

bonjour,

jeedom sur rasberry
installtion du nouveau pluging ko
le demon est KO
impossible d installer dépendance, lorsque je lance l installation des dépendances depuis la config z wave

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 07 déc. 2015, 22:42

david a écrit :Bonsoir,
Que se passe t'il? Plus rien ne fonctionne :(
Capture42.PNG

Code : Tout sélectionner

Lancement de l'installation/mise à jour des dépendances openzwave
Stopping system nodejs Daemon:.
E: Could not get lock /var/cache/apt/archives/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the download directory
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Err http://mirrordirector.raspbian.org wheezy Release.gpg
  Could not connect to mirrordirector.raspbian.org:80 (5.153.225.207), connection timed out
Reading package lists...
W: Failed to fetch http://mirrordirector.raspbian.org/raspbian/dists/wheezy/Release.gpg  Could not connect to mirrordirector.raspbian.org:80 (5.153.225.207), connection timed out
W: Some index files failed to download. They have been ignored, or old ones used instead.
Installation des dependances
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
g++ is already the newest version.
gcc is already the newest version.
git is already the newest version.
libudev-dev is already the newest version.
mercurial is already the newest version.
python-dev is already the newest version.
python-louie is already the newest version.
python-lxml is already the newest version.
python-pip is already the newest version.
python-setuptools is already the newest version.
python-sphinx is already the newest version.
unzip is already the newest version.
make is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 99 not upgraded.
Installation des dependances Python
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-blockdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Downloading/unpacking Pillow (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
  Running setup.py egg_info for package Pillow
Downloading/unpacking webcolors (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
  Running setup.py egg_info for package webcolors
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Installing collected packages: Pillow, webcolors
  Running setup.py install for Pillow
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 767, in <module>
        zip_safe=not debug_build(),
      File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
        dist.run_commands()
      File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
        self.run_command(cmd)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run
        return _install.run(self)
      File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run
        self.run_command('build')
      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run
        self.run_command(cmd_name)
      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run
        self.build_extensions()
      File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
        % (f, f))
    ValueError: --enable-jpeg requested but jpeg not found, aborting.
    Complete output from command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-BR7tL3-record/install-record.txt:
    running install
running build
running build_py
running egg_info
writing Pillow.egg-info/PKG-INFO
writing top-level names to Pillow.egg-info/top_level.txt
writing dependency_links to Pillow.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'Pillow.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'Pillow.egg-info/SOURCES.txt'
running build_ext
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 767, in <module>
    zip_safe=not debug_build(),
  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run
    return _install.run(self)
  File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run
    self.run_command('build')
  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run
    self.build_extensions()
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
    % (f, f))
ValueError: --enable-jpeg requested but jpeg not found, aborting.
----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-BR7tL3-record/install-record.txt failed with error code 1 in /usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow
Storing complete log in /root/.pip/pip.log
Starting system nodejs Daemon:.
could not install  - abort
tirikiki a écrit :Bonsoir,
Je me suis décidé à migrer sur le pluging oficiel z-wave avec une RaZberry et ....problème !
Impossible de mettre à jours les dépendances, même en manuel.
La solution doit être par là sur le forum mais je n'arrive pas à la trouver.
Merci.

Voici le message d'erreur :

File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
% (f, f))
ValueError: --enable-jpeg requested but jpeg not found, aborting.
----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-hIV2xE-record/install-record.txt failed with error code 1 in /usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow
Storing complete log in /root/.pip/pip.log
Starting system nodejs Daemon:.
could not install - abort
Bonsoir,

J'ai reçu ma clé aéon gen5 récemment et je viens de finir l'installation de Z-wave, comme mentionné un peu plus haut j'ai déjà bien galérer a déclaré ma clé dans jeedom pour le plugin z-wave la reconnaisse. Je souhaite maintenant migrer mes modules de razberry vers ma clé.
J'ai un petit souci de compréhension sur la suite à venir.

dans la page de configuration du plugin j'ai 2 NOK : compilation NOK Démon local NOK.

La capture de david ressemble a mon pb.
je me dis qu'il faut que l'installe de démon locale et j'ai l'erreur de david et tirikiki.

Je n'ai pas la moiundre idée de ce que je dois faire pour avancer et mettre en marche le démon.

Si une âme charitable passe par là avec une solution, merci d'avance.
Jeedom en DIY sur NUCI3| Mon Matos : Ici

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 08 déc. 2015, 02:21

nickasimir a écrit :
david a écrit :Bonsoir,
Que se passe t'il? Plus rien ne fonctionne :(
Capture42.PNG

Code : Tout sélectionner

Lancement de l'installation/mise à jour des dépendances openzwave
Stopping system nodejs Daemon:.
E: Could not get lock /var/cache/apt/archives/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the download directory
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Err http://mirrordirector.raspbian.org wheezy Release.gpg
  Could not connect to mirrordirector.raspbian.org:80 (5.153.225.207), connection timed out
Reading package lists...
W: Failed to fetch http://mirrordirector.raspbian.org/raspbian/dists/wheezy/Release.gpg  Could not connect to mirrordirector.raspbian.org:80 (5.153.225.207), connection timed out
W: Some index files failed to download. They have been ignored, or old ones used instead.
Installation des dependances
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
g++ is already the newest version.
gcc is already the newest version.
git is already the newest version.
libudev-dev is already the newest version.
mercurial is already the newest version.
python-dev is already the newest version.
python-louie is already the newest version.
python-lxml is already the newest version.
python-pip is already the newest version.
python-setuptools is already the newest version.
python-sphinx is already the newest version.
unzip is already the newest version.
make is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 99 not upgraded.
Installation des dependances Python
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-blockdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Downloading/unpacking Pillow (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
  Running setup.py egg_info for package Pillow
Downloading/unpacking webcolors (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
  Running setup.py egg_info for package webcolors
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Installing collected packages: Pillow, webcolors
  Running setup.py install for Pillow
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 767, in <module>
        zip_safe=not debug_build(),
      File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
        dist.run_commands()
      File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
        self.run_command(cmd)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run
        return _install.run(self)
      File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run
        self.run_command('build')
      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run
        self.run_command(cmd_name)
      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run
        self.build_extensions()
      File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
        % (f, f))
    ValueError: --enable-jpeg requested but jpeg not found, aborting.
    Complete output from command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-BR7tL3-record/install-record.txt:
    running install
running build
running build_py
running egg_info
writing Pillow.egg-info/PKG-INFO
writing top-level names to Pillow.egg-info/top_level.txt
writing dependency_links to Pillow.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'Pillow.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'Pillow.egg-info/SOURCES.txt'
running build_ext
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 767, in <module>
    zip_safe=not debug_build(),
  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run
    return _install.run(self)
  File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run
    self.run_command('build')
  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run
    self.build_extensions()
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
    % (f, f))
ValueError: --enable-jpeg requested but jpeg not found, aborting.
----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-BR7tL3-record/install-record.txt failed with error code 1 in /usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow
Storing complete log in /root/.pip/pip.log
Starting system nodejs Daemon:.
could not install  - abort
tirikiki a écrit :Bonsoir,
Je me suis décidé à migrer sur le pluging oficiel z-wave avec une RaZberry et ....problème !
Impossible de mettre à jours les dépendances, même en manuel.
La solution doit être par là sur le forum mais je n'arrive pas à la trouver.
Merci.

Voici le message d'erreur :

File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
% (f, f))
ValueError: --enable-jpeg requested but jpeg not found, aborting.
----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-hIV2xE-record/install-record.txt failed with error code 1 in /usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow
Storing complete log in /root/.pip/pip.log
Starting system nodejs Daemon:.
could not install - abort
Bonsoir,

J'ai reçu ma clé aéon gen5 récemment et je viens de finir l'installation de Z-wave, comme mentionné un peu plus haut j'ai déjà bien galérer a déclaré ma clé dans jeedom pour le plugin z-wave la reconnaisse. Je souhaite maintenant migrer mes modules de razberry vers ma clé.
J'ai un petit souci de compréhension sur la suite à venir.

dans la page de configuration du plugin j'ai 2 NOK : compilation NOK Démon local NOK.

La capture de david ressemble a mon pb.
je me dis qu'il faut que l'installe de démon locale et j'ai l'erreur de david et tirikiki.

Je n'ai pas la moiundre idée de ce que je dois faire pour avancer et mettre en marche le démon.

Si une âme charitable passe par là avec une solution, merci d'avance.
Résolu avec la commande sudo apt-get install libjpeg-dev et un peu d'acharnement la solution était dans un des posts du thread. Merci kouaw.
Merci d'ajouter la solution dans la FAQ car parfois on néglige la lecture sur le forum ! ;)
Jeedom en DIY sur NUCI3| Mon Matos : Ici

kouaw
Actif
Messages : 5986
Inscription : 25 janv. 2015, 22:15
Localisation : Belgium
Contact :

Re: Nouveau plugin zwave/openzwave

Message par kouaw » 08 déc. 2015, 05:48

nickasimir a écrit :
nickasimir a écrit :
david a écrit :Bonsoir,
Que se passe t'il? Plus rien ne fonctionne :(
Capture42.PNG

Code : Tout sélectionner

Lancement de l'installation/mise à jour des dépendances openzwave
Stopping system nodejs Daemon:.
E: Could not get lock /var/cache/apt/archives/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the download directory
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Err http://mirrordirector.raspbian.org wheezy Release.gpg
  Could not connect to mirrordirector.raspbian.org:80 (5.153.225.207), connection timed out
Reading package lists...
W: Failed to fetch http://mirrordirector.raspbian.org/raspbian/dists/wheezy/Release.gpg  Could not connect to mirrordirector.raspbian.org:80 (5.153.225.207), connection timed out
W: Some index files failed to download. They have been ignored, or old ones used instead.
Installation des dependances
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
g++ is already the newest version.
gcc is already the newest version.
git is already the newest version.
libudev-dev is already the newest version.
mercurial is already the newest version.
python-dev is already the newest version.
python-louie is already the newest version.
python-lxml is already the newest version.
python-pip is already the newest version.
python-setuptools is already the newest version.
python-sphinx is already the newest version.
unzip is already the newest version.
make is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 99 not upgraded.
Installation des dependances Python
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-blockdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Downloading/unpacking Pillow (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
  Running setup.py egg_info for package Pillow
Downloading/unpacking webcolors (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
  Running setup.py egg_info for package webcolors
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Installing collected packages: Pillow, webcolors
  Running setup.py install for Pillow
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 767, in <module>
        zip_safe=not debug_build(),
      File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
        dist.run_commands()
      File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
        self.run_command(cmd)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run
        return _install.run(self)
      File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run
        self.run_command('build')
      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run
        self.run_command(cmd_name)
      File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run
        self.build_extensions()
      File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
        % (f, f))
    ValueError: --enable-jpeg requested but jpeg not found, aborting.
    Complete output from command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-BR7tL3-record/install-record.txt:
    running install
running build
running build_py
running egg_info
writing Pillow.egg-info/PKG-INFO
writing top-level names to Pillow.egg-info/top_level.txt
writing dependency_links to Pillow.egg-info/dependency_links.txt
warning: manifest_maker: standard file '-c' not found
reading manifest file 'Pillow.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'Pillow.egg-info/SOURCES.txt'
running build_ext
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 767, in <module>
    zip_safe=not debug_build(),
  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run
    return _install.run(self)
  File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run
    self.run_command('build')
  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run
    self.build_extensions()
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
    % (f, f))
ValueError: --enable-jpeg requested but jpeg not found, aborting.
----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-BR7tL3-record/install-record.txt failed with error code 1 in /usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow
Storing complete log in /root/.pip/pip.log
Starting system nodejs Daemon:.
could not install  - abort
tirikiki a écrit :Bonsoir,
Je me suis décidé à migrer sur le pluging oficiel z-wave avec une RaZberry et ....problème !
Impossible de mettre à jours les dépendances, même en manuel.
La solution doit être par là sur le forum mais je n'arrive pas à la trouver.
Merci.

Voici le message d'erreur :

File "/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py", line 515, in build_extensions
% (f, f))
ValueError: --enable-jpeg requested but jpeg not found, aborting.
----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow/setup.py';exec(compile(open(__file__).read().replace('
', '
'), __file__, 'exec'))" install --single-version-externally-managed --record /tmp/pip-hIV2xE-record/install-record.txt failed with error code 1 in /usr/share/nginx/www/jeedom/plugins/openzwave/core/ajax/build/Pillow
Storing complete log in /root/.pip/pip.log
Starting system nodejs Daemon:.
could not install - abort
Bonsoir,

J'ai reçu ma clé aéon gen5 récemment et je viens de finir l'installation de Z-wave, comme mentionné un peu plus haut j'ai déjà bien galérer a déclaré ma clé dans jeedom pour le plugin z-wave la reconnaisse. Je souhaite maintenant migrer mes modules de razberry vers ma clé.
J'ai un petit souci de compréhension sur la suite à venir.

dans la page de configuration du plugin j'ai 2 NOK : compilation NOK Démon local NOK.

La capture de david ressemble a mon pb.
je me dis qu'il faut que l'installe de démon locale et j'ai l'erreur de david et tirikiki.

Je n'ai pas la moiundre idée de ce que je dois faire pour avancer et mettre en marche le démon.

Si une âme charitable passe par là avec une solution, merci d'avance.
Résolu avec la commande sudo apt-get install libjpeg-dev et un peu d'acharnement la solution était dans un des posts du thread. Merci kouaw.
Merci d'ajouter la solution dans la FAQ car parfois on néglige la lecture sur le forum ! ;)
sous Jessie donc la nouvelle image jeedom le problème n'existe pas ;) et je te conseille fortement d'y passe avant la sortie de la v2 ;)

Envoyé de mon GT-I9300 en utilisant Tapatalk

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 08 déc. 2015, 08:24

je suis sous cubiboard, il n'y a pas d'image officiel. Je pense que certain comme moi auront ce problème.
Il est bon de le notifier dans la FAQ pour les DIY et pour les rpi etc.

J'ai une question annexe, si je lance la procédure de migration cela va migrer tout mon razberry vers la clé ?
Est-ce que j'aurais besoin de réinclure tt mes moduels quand même ?
Jeedom en DIY sur NUCI3| Mon Matos : Ici

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 09 déc. 2015, 00:14

bonsoir,

n'ayant pas eu de réponse, je vais essayer de reformaliser ma question.

Est-ce que des personnes ont déjà testés la procédure de migration, si oui de quel controlleur vers la openzwave ?
Comment se passe l'après migration ? doit réinclure tout les module un part un ? est-ce transparent pour un razberry avec zway vers openzwave?

Merci
Jeedom en DIY sur NUCI3| Mon Matos : Ici

Avatar de l’utilisateur
Sshafi
Actif
Messages : 3891
Inscription : 01 juil. 2014, 16:08
Localisation : Albi

Re: Nouveau plugin zwave/openzwave

Message par Sshafi » 09 déc. 2015, 00:34

Là si j'ai bien compris tu veux faire une double migration : razberry vers clé usb et zway vers openzwave ?
Pour la partie zway vers openzwave en gardant ton razberry, ça devrait se passer sans problèmes, par contre pour le changement de contrôleur (razberry vers clé usb) il va falloir que tu exclues / reinclues tous te modules. A moins de passer par une procédure (pas simple ni stable) en mettant ta clé usb comme contrôleur secondaire (sur une autre machine) de ton réseau zwave géré par le razberry et de transférer à celle-ci le rôle de contrôleur primaire.
Sur le forum certains l'on fait pour passer de la vera à jeedom.

From Tapatruc...
??? Menfin ...
VM ESXi # Aeon Lab Gen5 | RFXtrx433E | ...
Trucs & Astuces

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 09 déc. 2015, 14:01

ok merci Sshafi, j'ai testé la migration raz vers stick. Tout c'est fait en deux seconde, mes commandes était importées mais impossible de les associer au stick. Je suis donc obliger d'exclure un par un mes modules pour mieux les ajouter au stick.

Par contre, je trouve long la latence entre le plug du stick et le retour a la normale du réseau zwave :


Etat

Etat actuel : Network ready

Queue sortante : 0

Dernière notification du contrôleur : Error

Détails du message : Command invocation had error(s) and was aborted.

Reçu à : 09/12/2015 13:54:02


il lui faut une dizaine de minute pour que ca reparte...
Jeedom en DIY sur NUCI3| Mon Matos : Ici

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 09 déc. 2015, 15:24

je tiens a préciser que cette petite erreur disparait en redémarrant le démon local.

Allez je continue mes inclusions ;)
Jeedom en DIY sur NUCI3| Mon Matos : Ici

Avatar de l’utilisateur
Sshafi
Actif
Messages : 3891
Inscription : 01 juil. 2014, 16:08
Localisation : Albi

Re: Nouveau plugin zwave/openzwave

Message par Sshafi » 09 déc. 2015, 18:38

Pas tout compris à ce que tu as fait quand tu dis "migration raz vers stick" mais bon courage pour les inclusions ;)

From Tapatruc...
??? Menfin ...
VM ESXi # Aeon Lab Gen5 | RFXtrx433E | ...
Trucs & Astuces

Avatar de l’utilisateur
nickasimir
Actif
Messages : 693
Inscription : 06 août 2014, 19:35
Localisation : Montreuil, Idf

Re: Nouveau plugin zwave/openzwave

Message par nickasimir » 10 déc. 2015, 18:03

en faite Sshafi, sur la page de configuration du plugin Z-wave.
J'ai simplement lancer la migration.
Le résultat de cette commande a vider les commandes du plugin Zwave pour les transférer vers le plugin Z-wave.

Ce que j'expliquais suite a cette manipulation, c'est que ça n'a servit a rien car je suis obligé d'exclure et réinclure chaque module.

J'espère avoir été plus clair.
Jeedom en DIY sur NUCI3| Mon Matos : Ici

Avatar de l’utilisateur
Sshafi
Actif
Messages : 3891
Inscription : 01 juil. 2014, 16:08
Localisation : Albi

Re: Nouveau plugin zwave/openzwave

Message par Sshafi » 10 déc. 2015, 18:59

Oui ok, je comprends mieux ;)

From Tapatruc...
??? Menfin ...
VM ESXi # Aeon Lab Gen5 | RFXtrx433E | ...
Trucs & Astuces

Répondre

Revenir vers « Plugin Z-Wave »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités